complexType "CorrelationSwap"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 8 elements
Defined: | globally in fpml-correlation-swaps-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (primaryAssetClass?, secondaryAssetClass*, productType*, productId*, assetClass*)?, additionalPayment*, extraordinaryEvents?, correlationLeg
</...>

Content Model Elements (8):

  additionalPayment (defined in NettedSwapBase complexType),
  assetClass,
  correlationLeg,
  extraordinaryEvents (defined in NettedSwapBase complexType),
  primaryAssetClass,
  productId (defined in Product.model group),
  productType (defined in Product.model group),
  secondaryAssetClass

All Direct / Indirect Based Elements (1):

  correlationSwap

Known Usage Locations

- As direct type of elements (1):
  correlationSwap

Annotation
A Correlation Swap modelled using a single netted leg.
Type Definition Detail

Type Derivation Tree Product (extension) NettedSwapBase (extension) CorrelationSwap

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="CorrelationSwap"> <xsd:complexContent> <xsd:extension base="NettedSwapBase"> <xsd:sequence> <xsd:element name="correlationLeg" type="CorrelationLeg"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/8)
correlationLeg

  Type: | CorrelationLeg, complex content

  Correlation Leg. Correlation Buyer is deemed to be the Equity Amount Receiver, Correlation Seller is deemed to be the Equity Amount Payer.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="correlationLeg" type="CorrelationLeg"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.